﻿Imports System.Windows.Forms

Public Class FormDragDrop


    Private Shared _DragStart As System.Drawing.Point




    Private Sub ButtonCancel_Click(sender As Object, e As EventArgs) Handles ButtonCancel.Click
        Me.Close()
    End Sub

    Private Sub FormDragDrop_Closed(sender As Object, e As EventArgs) Handles Me.Closed
        Me.Dispose()
    End Sub



    Private Sub TreeView1_MouseDown(sender As Object, e As MouseEventArgs) Handles TreeView1.MouseDown
        If e.Button <> MouseButtons.Left Then Return
        _DragStart = e.Location

    End Sub

    Private Sub TreeView1_MouseMove(sender As Object, e As MouseEventArgs) Handles TreeView1.MouseMove
        If e.Button = MouseButtons.Left Then
            'Vielen Dank an... "ErfinderdesRades"
            With e.Location ' draggen erst bei Ziehen über 3 Pix ( Quadrat-Distanz > 9 )
                If (_DragStart.X - .X) ^ 2 + (_DragStart.Y - .Y) ^ 2 <= 9 Then Return
            End With

            TreeView1.DoDragDrop("TEST", DragDropEffects.Copy)
        End If
    End Sub

    Private Sub TextBox1_DragEnter(sender As Object, e As DragEventArgs) Handles TextBox1.DragEnter
        e.Effect = DragDropEffects.All
    End Sub

    Private Sub TextBox2_DragEnter(sender As Object, e As DragEventArgs) Handles TextBox2.DragEnter
        e.Effect = DragDropEffects.None
    End Sub

End Class